Subject: Re: bug#69773: 29.2; Emacs Crashes on Startup Sometimes

From: Stephen Molitor <[email-masked]>
Date: Thu, 14 Mar 2024 17:10:37 -0500

Not that I’ve noticed.

I mean maybe it does, but I haven’t noticed. I have a fast machine. Is there an easy way to measure?

> On Mar 14, 2024, at 11:52 AM, Eli Zaretskii <[email-masked]> wrote:
> 
>> Date: Thu, 14 Mar 2024 11:15:00 -0500
>> From:  Stephen Molitor via "Bug reports for GNU Emacs,
>> the Swiss army knife of text editors" <[email-masked]>
>> 
>> I am doing something unusual with the composition function table at startup:
>> 
>>    (defvar sm-safe-table "[-,;A-Z_a-z]+")
>>    (set-char-table-range composition-function-table t `([,sm-safe-table 0 font-shape-gstring]))
> 
> Doesn't this make redisplay significantly slower?